
QGIS Application - Bug report #2247

Aborting fetching plugin repos

2009-12-10 02:30 AM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12307

Description

If you click "abort fetching" while fetching repositories you'll have to click Ok as many times as how many  unfetched repos left.

I guess we need "Abort All" button and "Abort fetching" should be "Abort current".

Associated revisions

Revision 8d53ac47 - 2009-12-27 12:37 AM - Borys Jurgiel

plugin installer update - fix #2247

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12621 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 4099c4aa - 2009-12-27 12:37 AM - Borys Jurgiel

plugin installer update - fix #2247

git-svn-id: http://svn.osgeo.org/qgis/trunk@12621 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-26 03:49 PM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:4099c4aa (SVN r12622) / Installer 1.0.8. Now you can use Shift key when pressing the 'abort fetching' button to do it quietly. Also, if you

forget, you can still do it in one of the warning dialogs to cancel all the remaining ones. I hope it's enough, otherwise reopen please.

(todo: describe it in the context help and the user guide)

#2 - 2009-12-27 11:07 AM - Maxim Dubinin

Also, if you forget, you can still do it in one of the warning dialogs to cancel all the remaining ones.

I was looking for something like "cancel all" button on the warning dialog, but can't see anything like that. Can you please explain what did you mean?
#3 - 2009-12-27 11:16 AM - Borys Jurgiel

Use the Shift modifier.

#4 - 2009-12-27 11:30 AM - Maxim Dubinin

Ah, Shift works. But I still think it would be more straightforward (especially for a newbie) to have "Cancel all" on the first warning message. But no big deal!

Thanks for working on that.

#5 - 2009-12-27 02:33 PM - Borys Jurgiel

I'm not sure if it's really good for newbies to put so many buttons... Instead, I'll make only one message box with a list of all the affected repos when the gui

freeze is over.
